<?php
include_once(dirname(__FILE__)."/../util/securimage.php");
$img = new Securimage();
$valid = $img->check($_POST['code']);
if (isset($_SESSION)) {
	session_destroy();
	unset($_SESSION);
}

if ($valid == true
) {
	$name = $_POST["name"];
	if (strlen($name) < 2) {
		fail("Sorry, user name is not long enough (>1 character)");
	}

	$pw_hash = pw_hash($_POST["password"]);
	if ($_POST["password"] != $_POST["verify"]) {
		fail("Sorry, password does not verify");
	}

	$email = $_POST["email"];
	if (strlen($email) < 6) {
		fail("Sorry, email is not long enough (>5 character)");
	}

	$termsAndConditions = $_POST["termsAndConditions"];
	if ($termsAndConditions!="readAccepted") {
		fail("Sorry, terms and conditions not accepted");
	}

	$startwith = $_POST["startwith"];
	if (!isset($tbody_value[$startwith])) {
		fail("Sorry, no startwith choosen");
	}

	$start_tbody=$tbody_value[$startwith];

	$plang = trim($_POST["lang"]);
	if (!array_key_exists($plang,$lc)) {
		fail("Sorry, unrecognized language ".$plang);
	}

	connectDb();
        $confirmcode='t';
	

	do {
		$aid=gen_aid();
		if (isset($asql)) mysql_free_result($asql);
		$asql = @mysql_query("SELECT id FROM " . $db_prefix . "USER WHERE aid='".p($aid)."'");
	} while ($row = mysql_fetch_array($asql));
	mysql_free_result($asql);

	$insert = @mysql_query("INSERT INTO " . $db_prefix . "USER SET aid='".p($aid)."', name='".p($name)."', pw_hash='".p($pw_hash)."', email='".p($email)."', tbody='".p($start_tbody)."', lang='".p($plang)."', confirmed='".p($confirmcode)."', base_href='".p($domain."/util/briefing.php?a=".$aid."&q=")."'");
	if (!$insert) {
		//ERROR
		fail("Eintrag fehlgeschlagen");
	}
	if (!isset($_SESSION)) {
		session_start();
	}
	login(false, $name, $pw_hash, 60); // register-login for 60 mins

	include_once(dirname(__FILE__)."/tabletti.php");
	$lang=detectLang();

	$confirm_url=$domain."/util/confirm.php?".$confirmcode;

	if ($confirmcode != 't') {
		$title=str_replace("_name_", $name, "[Emphasize] ".i18n("<i18n ref='reg0'/>"));
		$body=str_replace(array("_name_", "_domain_", "_confirm_url_"), array($name, $domain, $confirm_url), i18n("<i18n ref='reg1'/>\r\n  Martin Hartnagel."));
		enqueueMail($email, $title, $body, "From: $registration_from\r\nMime-Version: 1.0\r\nContent-Type: text/plain; charset=UTF-8\r\nContent-Transfer-Encoding: quoted-printable\r\n\r\n");
        }
	echo(str_replace("_name_", $name, i18n("<i18n ref='reg3'/>")));
	
} else {
	fail("Sorry, the code \"".$_POST['code']."\" you entered was invalid");
}
?>
