<?php 
include_once(dirname(__FILE__).'/../includes/config.php');
$export="js";
session_start();
if (isset($_POST['token'])) {
	$token=$_POST['token'];
} else if (isset($_SESSION['token'])) {
	$token=$_SESSION['token'];
}
if (!isset($token)) {
	echo("not logged in");
	exit();
}

connectDb();
pickup($token);

$json=array('error'=>'', 'msg'=>'', 'avatar'=>'');
$fileElementName = 'fileToUpload';
if (!empty($_FILES[$fileElementName]['error']))
{
	switch($_FILES[$fileElementName]['error'])
	{
		case '1':
			$json['error'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini';
			break;
		case '2':
			$json['error'] = 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
			break;
		case '3':
			$json['error'] = 'The uploaded file was only partially uploaded';
			break;
		case '4':
			$json['error'] = 'No file was uploaded.';
			break;

		case '6':
			$json['error'] = 'Missing a temporary folder';
			break;
		case '7':
			$json['error'] = 'Failed to write file to disk';
			break;
		case '8':
			$json['error'] = 'File upload stopped by extension';
			break;
		case '999':
		default:
			$json['error'] = 'No error code available';
	}
	header("Content-Type: text/plain;charset=UTF-8");
	echo(json_encode($json));
	exit();
} else if (!(empty($_FILES[$fileElementName]['tmp_name']) || $_FILES[$fileElementName]['tmp_name'] == 'none')) {
	$json['avatar']=base_convert(time(), 10, 36);
	$json['msg']= "File Name: " . $avatar;
	if (@filesize($_FILES[$fileElementName]['tmp_name']) > $max_avatar_filesize) {
		$json['error'] = 'PNG file size '.@filesize($_FILES[$fileElementName]['tmp_name']).' exceeds allowed maximum '.$max_avatar_filesize;
	}
	if ($json['error'] == "") {
		$image = @imagecreatefrompng($_FILES[$fileElementName]['tmp_name']);
		if (!$image) {
			$json['error'] = 'Not a valid PNG file..';
		}
		$w= imagesx($image);
		if ($w > $max_avatar_width) {
			$json['error'] = 'PNG width '.$w.' exceeds allowed maximum '.$max_avatar_width;
		}
		$h= imagesy($image);
		if ($h > $max_avatar_height) {
			$json['error'] = 'PNG height '.$h.' exceeds allowed maximum '.$max_avatar_height;
		}
	}

	if ($json['error'] == "") {
		move_uploaded_file($_FILES[$fileElementName]['tmp_name'], "../avatars/".$id."_".$avatar.".png");
		@unlink($_FILES[$fileElementName]);
	}
	header("Content-Type: text/plain;charset=UTF-8");
	echo(json_encode($json));
	exit();
}
header("Content-Type: text/html;charset=UTF-8");
?>
<script
	type="text/javascript" src="js/ajaxfileupload.js"></script>
<script type="text/javascript">
	function fileUpload()
	{
		$("#loading")
		.ajaxStart(function(){
		  $('#buttonUpload').attr('disabled', true);
			$(this).show();
		})
		.ajaxComplete(function(){
			$(this).hide();
			$('#buttonUpload').attr('disabled', false);
		});

		$.ajaxFileUpload({
				url:domain+'util/settings.php',
				secureuri:false,
				fileElementId:'fileToUpload',
				dataType: 'json',
				success: function (data, status) {
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
							alert(data.error);
						}else
						{
							$('#avatars').load(domain+"util/avatars.php");
						}
					}
				},
				error: function (data, status, e) {
					alert(e);
				}
			});
		
		return false;

	}
	</script>
</head>

<body>
  <a href="#" onClick="return showAbove($('#config').get(0), '<?php echo($domain.'/util/passwd.php?lang='.$lang); ?>', '#passwdPassword', 180, 120);"><i18n ref="pwd0" /></a><br/>
	<form name="baseHrefForm" action="" method="POST"
		onsubmit="return setBaseHref(this.basehref.value);"><i18n ref="upl6"/>:<br />
		<div class="hc">
			<input type="text" name="basehref" value="<?php echo($base_href);?>"
				style="width: 70%;" maxsize="256" /> <input type="submit"
				id="buttonBaseHref" class="help" style="width: 30%;"
				value="<i18n ref='upl4'/>" />
			<div id="help_buttonUpload" class="docu"
				style="width: 240px; height: 128px;"><i18n ref="upl5"/></div>
		</div>
	</form>
	<form name="form" action="" method="POST" enctype="multipart/form-data"
		onsubmit="return fileUpload();">
		<input type="hidden" name="token" value="<?php echo($token);?>" /><i18n ref="upl0"/>:<br /> <input type="hidden" name="max_file_size"
			value="<?php echo($max_avatar_filesize);?>"> <input id="fileToUpload"
			type="file" size="25" name="fileToUpload" />
		<div class="hc">
			<input type="submit" id="buttonUpload" class="help"
				value="<i18n ref='upl1'/>" />
			<div id="help_buttonUpload" class="docu"
				style="width: 240px; height: 128px;"><i18n ref="upl2"/></div>
		</div>
		<img id="loading" src="graphics/loading.gif" width="18" height="18"
			style="display: none;">
	</form><i18n ref="upl3"/>:
	<br />
	<div id="avatars" class="scroller">
		<?php include_once(dirname(__FILE__).'/avatars.php');?>
	</div>
	<?php bottom(); ?>
