<?php 
$lang=detectLang();
$cacheFile="demo_".$lang.".html";

checkCache($cacheFile, "includes/head.html", "includes/config.php", "includes/demo.php");

  echo('<title><i18n ref="demo0"/>&nbsp;- Emphasize</title>'."\n");

?>
<script type="text/javascript">
<!--
var step=0;
var steps=10;

function setName() {
  setCookieParam("name", $("#loginName").val());
}

function setStay() {
  setCookieParam("stay", $("#loginStay").val());
}

function setCookieParam(param, value) {
  var n=param+"="+value+";";
  document.cookie = n;
}

function getCookieParam(param) {
  if (document.cookie) {
    var chocolates=document.cookie.split(";");
    for(var i=0; i<chocolates.length; i++) {
      if (chocolates[i].match("^ *" + param + "=")) {
        return chocolates[i].substr(chocolates[i].indexOf('=')+1);
      }
    }
  }
  return "";
}

function initLogin() {
  $('.docu').hide();
  if (typeof(window["confirmed_name"]) != "undefined") {
    $("#loginName").val(confirmed_name);
    setName();
  } else if ($("#loginName").val() == "") {
    $("#loginName").val(getCookieParam("name"));
  }
  var sel=getCookieParam("stay");
  if (sel != "") {
    $("#loginStay").val(sel);
  } 
  if ($("#loginName").val().length > 0) {
    $("#loginPassword").focus();
  }
  init();
  <command/>
}

var currentContent="";

function init() {
  t=new Tabletti(document.getElementById("table"));
  t.setDemo(true);
  scwSetDefaultLanguage();
  t.setReportableText("<i18n ref='tab1'/>");
  t.setColorText("<i18n ref='tab2'/>");
  
  t.setEditTitles("<i18n ref='tab3'/>", "<i18n ref='tab4'/>", "<i18n ref='tab5'/>", "<i18n ref='tab6'/>");
  setCloseAboveTitle("<i18n ref='tab7'/>");

  initTimeline();
  window.setTimeout("animate()", 2000);
  
  $(window).hashchange(function(){
    var hash = location.hash;
    if (hash.length > 1) {
      var url=hash.substr(1)+".php";
      if (currentContent != url) {
        $("#doing").css("visibility", "visible");
        $.post(domain+url, {"ajax":"true", "grep":"bContent"}, function(data) {
          $("#bContent").replaceWith(data);
          currentContent=url;
          $("#doing").css("visibility", "hidden");
        });
      }
    } else if (currentContent != "") {
      $("#doing").css("visibility", "visible");
      $.post(domain, {"ajax":"true", "grep":"bContent", "lang":lang}, function(data) {
        $("#bContent").replaceWith(data);
        currentContent="";
        $("#doing").css("visibility", "hidden");
      });
    }
  });
  
  $(window).hashchange();
}

function scwSetLanguage() {
   scwToday               = '<i18n ref="scw0"/>:';
   scwClear               = '<i18n ref="scw1"/>';
   scwDrag                = '<i18n ref="scw2"/>';
   scwArrMonthNames       = [<i18n ref="scw3"/>];
   scwArrWeekInits        = [<i18n ref="scw4"/>];
   scwInvalidDateMsg      = '<i18n ref="scw5"/>.\n';
   scwOutOfRangeMsg       = '<i18n ref="scw6"/>.';
   scwDoesNotExistMsg     = '<i18n ref="scw7"/>.';
   scwInvalidAlert        = [<i18n ref="scw8"/>];
   scwDateDisablingError  = [<i18n ref="scw9"/>];
   scwRangeDisablingError = [<i18n ref="scw10"/>];
}

function animate() {
  if (step%steps==0 && t.isValid()) moveAvatar(t.getTd(0,0));
  if (step%steps==1 && t.isValid()) moveAvatar(t.getTd(1,0)); 
  if (step%steps==2 && t.isValid()) { t.setEditable(true); t.showEdits(t.getTd(0,0));}
  if (step%steps==3 && t.isValid()) { t.setEditable(false); t.setDemo(false); t.horizontalSplit(t.getTd(0,0)); t.getTd(0,1).innerHTML='<i18n ref="demo9"/>'; t.setDemo(true); }
  if (step%steps==4 && t.isValid()) moveAvatar(t.getTd(0,1));
  if (step%steps==5 && t.isValid()) moveAvatar(t.getTd(2,1));
  if (step%steps==6 && t.isValid()) t.setEditable(true); t.showEdits(t.getTd(0,0));
  if (step%steps==7 && t.isValid()) { t.setEditable(false); t.setDemo(false); t.horizontalMerge(t.getTd(0,0)); t.setDemo(true); }
  if (step%steps==8 && t.isValid()) moveAvatar(t.getTd(1,0));
  if (step%steps==9 && t.isValid()) moveAvatar(t.getTd(2,0));

  step++;
  window.setTimeout("animate()", 2000);
}

$('a.blog').live('click',function(){ 
  url = $(this).attr("href");
  $("#doing").css("visibility", "visible");
  $.post(domain+url, {"ajax":"true", "grep":"bContent"}, function(data) {
    $("#bContent").replaceWith(data);
    window.location.hash = '#' + url.replace('.php','');
    $("#doing").css("visibility", "hidden");
  });
  return false;
});
//-->
</script>

</head>
<body onload="initLogin()">
	<div class="top">
		<form id="login" action="<?php echo($domain.'/');?>" method="post">
			<input type="hidden" name="do" value="login" /><i18n ref="demo14"/>:
			<div class="hc">
				<input id="loginName" class="help" type="text" name="name" value=""
					size="8" onchange="setName()" />
				<div id="help_loginName" class="docu"
					style="width: 140px; height: 44px;"><i18n ref="demo15"/></div>
			</div><i18n ref="rtr3"/>:
			<div class="hc">
				<input id="loginPassword" class="help" type="password"
					name="password" size="8" value="" />
				<div class="hc">
					<input id="loginSubmit" class="help" type="submit" name="Submit"
						value="<i18n ref='demo79'/>" />
					<div id="help_loginSubmit" class="docu"
						style="width: 160px; height: 62px;"><i18n ref="demo25"/></div>
				</div>
				<div id="help_loginPassword" class="docu"
					style="width: 180px; height: 44px;"><i18n ref="demo17"/></div>
			</div><i18n ref="demo18"/>:
			<div class="hc">
				<select id="loginStay" class="help" name="stay" onchange="setStay()"><option
						value="60"><i18n ref="demo19"/></option>
					<option value="480"><i18n ref="demo20"/></option>
					<option value="1440"><i18n ref="demo21"/></option>
					<option value="10080"><i18n ref="demo22"/></option>
					<option selected="selected" value="0"><i18n ref="demo23"/></option>
				</select>
				<div id="help_loginStay" class="docu"
					style="width: 240px; height: 62px;"><i18n ref="demo24"/></div>
			</div>
		</form>
		
	</div>
	<?php echo(getUserAvatar("default"));?>
	<table border="0" cellspacing="16" style="width:100%;">
		<tr>
			<td width="420" valign="top">
				<div class="hc">
					<input id="register" class="help" type="button"
						onclick="createUser()" value="<i18n ref='demo49'/>" />
					<div id="help_register" class="docu"
						style="width: 140px; height: 44px;"><i18n ref="demo12"/></div>
				</div> 
				<div id="timeline" class="timeline">
					<noscript>
						<center
							style="font-size: 20px; color: red; text-decoration: blink;"><i18n ref='tab56'/>!
						</center>
					</noscript>
					<div id="time" class="tDiv">
						<div id="tHours">
							<span class="tHour">initializing...</span>
						</div>
						<div id="tLine" class="tLine">
							<img alt="void" style="left: 0px;" src="graphics/void.png" class="te"
								height="10" width="3900" /><img alt="event"
								src="<?php echo($domain."/util/i.php?639da1"); ?>"
								title="<i18n ref="con1"/>" class="te" height="10" width="61" /><img alt="event"
								src="<?php echo($domain."/util/i.php?bdc406"); ?>"
								title="<i18n ref="con5"/>" class="te" height="10" width="133" /><img alt="event"
								src="<?php echo($domain."/util/i.php?6ba163"); ?>"
								title="<i18n ref="con6"/>" class="te" height="10" width="74" /><img alt="event"
								src="<?php echo($domain."/util/i.php?a16363"); ?>"
								title="<i18n ref='con7'/>" class="te" height="10" width="113" />
						</div>
						<img id="now" alt="now" src="graphics/now.png" title="<i18n ref='tab43'/>" width="19" height="58" class="tNow" /><img alt="info"
							src="graphics/info.png"
							title="<?php echo(date('H:m')); ?>&nbsp;<i18n ref="demo31"/>" style="left: 1459px;top: 48px;" class="ti" />
					</div>
				</div>
				<table id="table" class="tabletti" width="420" style="height:200px;"
					border="0" cellspacing="2" cellpadding="0">
					<tr>
						<td class="noreport" rowspan="2" bgcolor="#639da1"><i18n ref="con1"/></td>
						<td rowspan="2" bgcolor="#bdc406"><i18n ref="con5"/></td>
						<td bgcolor="#6ba163"><i18n ref="con6"/></td>
					</tr>
					<tr>
					<td bgcolor="#a16363"><i18n ref="con7"/></td>
					</tr>
				</table>
			        
                                </td><td width="700" valign="top">
                                
				<div>
					<br />
					<object type="application/x-shockwave-flash" width="420" height="261" style="z-index:1" data="http://www.youtube.com/p/<i18n ref="tech1"/>&amp;fs=1" >
						<param name="transparent" value="transparent" />
						<param name="movie"
							value="http://www.youtube.com/p/<i18n ref="tech1" />&amp;fs=1" />
						<param name="allowFullScreen" value="true"></param>
						<param name="allowscriptaccess" value="always"></param>						
					</object>
					
				</div>
			</td>
			
		</tr>
	</table>
